| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LT_SPI.cpp File Reference
Linduino: Linear Technology Arduino-Compatible Demonstration Board Support Libraries » LT_SPI: Routines to communicate with ATmega328P's hardware SPI port.

Library for LT_SPI: Routines to communicate with ATmega328P's hardware SPI port. More...

## Detailed Description

Library for LT_SPI: Routines to communicate with ATmega328P's hardware SPI port.

Definition in file LT_SPI.cpp.

Go to the source code of this file.

## Functions
void | spi_transfer_byte (uint8_t cs_pin, uint8_t tx, uint8_t *rx)
| Reads and sends a byte. More...
void | spi_transfer_word (uint8_t cs_pin, uint16_t tx, uint16_t *rx)
| Reads and sends a word. More...
void | spi_transfer_block (uint8_t cs_pin, uint8_t *tx, uint8_t *rx, uint8_t length)
| Reads and sends a byte array. More...
void | quikeval_SPI_connect ()
| Connect SPI pins to QuikEval connector through the Linduino MUX. This will disconnect I2C. More...
void | quikeval_SPI_init (void)
| Configure the SPI port for 4Mhz SCK. More...
void | spi_enable (uint8_t spi_clock_divider)
| Setup the processor for hardware SPI communication. More...
void | spi_disable ()
| Disable the SPI hardware port. More...
void | spi_write (int8_t data)
| Write a data byte using the SPI hardware. More...
int8_t | spi_read (int8_t data)
| The data byte to be written. More...

## Function Documentation

## ◆ quikeval_SPI_connect()

void quikeval_SPI_connect | ( |  | ) |

Connect SPI pins to QuikEval connector through the Linduino MUX. This will disconnect I2C.

Definition at line 138 of file LT_SPI.cpp.

## ◆ quikeval_SPI_init()

void quikeval_SPI_init | ( |  | ) |

Configure the SPI port for 4Mhz SCK.

This function or spi_enable() must be called before using the other SPI routines.

Definition at line 151 of file LT_SPI.cpp.

## ◆ spi_disable()

void spi_disable | ( |  | ) |

Disable the SPI hardware port.

Definition at line 170 of file LT_SPI.cpp.

## ◆ spi_enable()

void spi_enable | ( | uint8_t | spi_clock_divider | ) |

Setup the processor for hardware SPI communication.

Must be called before using the other SPI routines. Alternatively, call quikeval_SPI_connect(), which automatically calls this function.

Parameters

  spi_clock_divider | Configures SCK frequency. Use constant defined in header file.

Definition at line 160 of file LT_SPI.cpp.

## ◆ spi_read()

int8_t spi_read | ( | int8_t | data | ) |

The data byte to be written.

Read and write a data byte using the SPI hardware.

Parameters

  data | The data byte to be written

Definition at line 189 of file LT_SPI.cpp.

## ◆ spi_transfer_block()

void spi_transfer_block | ( | uint8_t | cs_pin,
|  | uint8_t * | tx,
|  | uint8_t * | rx,
|  | uint8_t | length
| ) |  |

Reads and sends a byte array.

Returns
  void

Parameters

  cs_pin | Chip select pin
  tx | Byte array to be transmitted
  rx | Byte array to be received
  length | Length of array

Definition at line 125 of file LT_SPI.cpp.

## ◆ spi_transfer_byte()

void spi_transfer_byte | ( | uint8_t | cs_pin,
|  | uint8_t | tx,
|  | uint8_t * | rx
| ) |  |

Reads and sends a byte.

Returns
  void

Parameters

  cs_pin | Chip select pin
  tx | Byte to be transmitted
  rx | Byte to be received

Definition at line 87 of file LT_SPI.cpp.

## ◆ spi_transfer_word()

void spi_transfer_word | ( | uint8_t | cs_pin,
|  | uint16_t | tx,
|  | uint16_t * | rx
| ) |  |

Reads and sends a word.

Returns
  void

Parameters

  cs_pin | Chip select pin
  tx | Byte to be transmitted
  rx | Byte to be received

Definition at line 98 of file LT_SPI.cpp.

## ◆ spi_write()

void spi_write | ( | int8_t | data | ) |

Write a data byte using the SPI hardware.

Parameters

  data | Byte to be written to SPI port

Definition at line 176 of file LT_SPI.cpp.